diff --git a/doc/src/sgml/ref/alter_table.sgml b/doc/src/sgml/ref/alter_table.sgml
index da431f8..6d10f54 100644
--- a/doc/src/sgml/ref/alter_table.sgml
+++ b/doc/src/sgml/ref/alter_table.sgml
@@ -718,8 +718,10 @@ ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
     <term><literal>ATTACH PARTITION</literal> <replaceable class="PARAMETER">partition_name</replaceable> FOR VALUES <replaceable class="PARAMETER">partition_bound_spec</replaceable></term>
     <listitem>
      <para>
-      This form attaches an existing table (which might itself be partitioned)
-      as a partition of the target table using the same syntax for
+      This form attaches an existing table with name
+      <replaceable class="PARAMETER">partition_name</replaceable>
+      (which might itself be partitioned) as a partition of the target table
+      using the same syntax for
       <replaceable class="PARAMETER">partition_bound_spec</replaceable> as
       <xref linkend="sql-createtable">.  The partition bound specification
       must correspond to the partitioning strategy and partition key of the
@@ -757,8 +759,9 @@ ALTER TABLE [ IF EXISTS ] <replaceable class="PARAMETER">name</replaceable>
     <listitem>
      <para>
       This form detaches specified partition of the target table.  The detached
-      partition continues to exist as a standalone table, but no longer has any
-      ties to the table from which it was detached.
+      partition continues to exist as a standalone table with name
+      <replaceable class="PARAMETER">partition_name</replaceable>, but no
+      longer has any ties to the partitioned table from which it was detached.
      </para>
     </listitem>
    </varlistentry>
